@import '../../styles/variables.scss';

.textbox {
  display: flex;
  flex-direction: column;

  &_info {
    &.__withimage {
      width: 100%;
    }

    &__description {
      margin-top: 12px;

      width: 100%;
      max-width: 640px;
    }

    &__link {
      margin-top: 36px;
    }

    &__image {
      margin-top: 36px;

      width: 100%;
      display: flex;
      justify-content: flex-end;
    }
  }
}

@media (min-width: $breakpoint-3) {
  .textbox {
    flex-direction: row;
    justify-content: space-between;

    &_info {
      &__link {
        display: inline-block;
      }
    }

    &.__reverse {
      flex-direction: row-reverse;

      .textbox_info {
        &__image {
          margin-top: 0;
          margin-bottom: 0;
        }
      }
    }

    &__image {
      margin-top: 0;
    }

    &.__center {
      justify-content: center;
    }
  }
}
